ZDUMP(8)

NAME
zdump - time zone dumper

SYNOPSIS
zdump [-v] [ -c [loyear,] hiyear] zonename ...

DESCRIPTION
zdump prints the current time in each zonename named on the command line.

These options are available:

    -c [loyear,] hiyear Cut off verbose output near the start of the given year(s). By default, the program cuts off verbose output near the start of the years -500 and 2500.

-v  For each zonename on the command line, print the time at the lowest possible time value, the time one day after the lowest possible time value, the times both one second before and exactly at each detected time discontinuity, the time at one day less than the highest possible time value, and the time at the highest possible time value. Each line ends with “isdst=1” if the given time is Daylight Saving Time or “isdst=0” otherwise.

LIMITATIONS
The -v option may not be used on systems with floating-point time_t values that are neither float nor double.

Time discontinuities are found by sampling the results returned by localtime at twelve-hour intervals. This works in all real-world cases;

SEE ALSO
ctime(3), tzfile(5), zic(8)